Firefox 52 does not seem to accept the plugin 1-5

Low level MIDI support via Javascript

Firefox 52 does not seem to accept the plugin 1-5

Postby free-notes » Wed Mar 22, 2017 8:23 am

There seems to be a problem starting with Firefox 52.0.1:
the jazz-plugin seems not to be usable any more.
In the FF plugins list it does no longer show up, and my
javascript code does not detect it any more.

I am using Windows 7/10, and just tested it with
FF 51.0.1. Here it was working without problems.
After update to 52.0.1 the plugin was no more working.
I am using the 32-bit version of FF.

I installed the newest version from jazz-soft:
Jazz-Plugin-1-5.msi

What can I do?

Kind regards
free-notes
 
Posts: 4
Joined: Tue Mar 21, 2017 2:22 am

Re: Firefox 52 does not seem to accept the plugin 1-5

Postby sema » Wed Mar 22, 2017 8:08 pm

Unfortunately, Firefox 52 dropped support for NPAPI plugins.

For a while, you can stay with Firefox 51 or Firefox 45 ESR as explained below:
http://www.ghacks.net/2017/02/03/firefo ... n-plugins/

Older versions of Firefox are available from Mozilla's site:
https://ftp.mozilla.org/pub/firefox/releases/51.0.1/
https://ftp.mozilla.org/pub/firefox/releases/45.8.0esr/

In the nearest future, I'm planning to have a Firefox extension similar to what I have for Chrome.

If you use pure Jazz-Plugin in your projects, I'd advise to switch to JZZ.js library instead.
sema
Site Admin
 
Posts: 321
Joined: Mon Oct 17, 2011 7:28 pm

Re: Firefox 52 does not seem to accept the plugin 1-5

Postby sema » Wed Apr 05, 2017 5:27 pm

The problem is solved!

You need to
- install a new version of Jazz-Plugin: http://jazz-soft.net/download/Jazz-Plugin/
- install a Firefox Add-on: https://addons.mozilla.org/en-US/firefo ... jazz-midi/
- use the latest version of JZZ.js on your website: https://github.com/jazz-soft/JZZ

The add-on is still under the review by Mozilla, but hope it will not take long.
sema
Site Admin
 
Posts: 321
Joined: Mon Oct 17, 2011 7:28 pm

plugin still not accepted by Mozilla?

Postby free-notes » Wed Jun 14, 2017 4:33 am

today, (June, 14, 2017) Firefox does not seem to know the Jazz Plugin any more

I tried to download the plugin from the given url (as given below)

https://addons.mozilla.org/en-US/firefo ... jazz-midi/

but the link is dead. I did not find the plugin on Mozilla's site by searching

Does this mean, that it will not be signed by Mozilla?
This would be a problem for me. I recommend my users to install the plugin, but it would be a bit suspicious, if they had to install it without it being signed.
And the installation would probably also be too complicated for inexperienced users.

In short: if it does not get signed, I cannot use it
(my site: free-notes.net)
What shall I do?
free-notes
 
Posts: 4
Joined: Tue Mar 21, 2017 2:22 am

Re: Firefox 52 does not seem to accept the plugin 1-5

Postby sema » Wed Jun 14, 2017 7:50 am

Mozilla approval process happened to be more painful than I expected.
You can download it for manual install at http://jazz-soft.net/download/Jazz-Plugin/1.5.1/
sema
Site Admin
 
Posts: 321
Joined: Mon Oct 17, 2011 7:28 pm

Re: Firefox 52 does not seem to accept the plugin 1-5

Postby sema » Sat Jul 15, 2017 8:08 am

The add-on is finally approved by Mozilla: https://addons.mozilla.org/en-US/firefo ... jazz-midi/
sema
Site Admin
 
Posts: 321
Joined: Mon Oct 17, 2011 7:28 pm


Return to Jazz-Plugin

Who is online

Users browsing this forum: No registered users and 1 guest

cron